package com.hw.mes.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 条码绑定信息对象 mes_bind_barcode
 * 
 * @author xins
 * @date 2023-12-28
 */
public class MesBindBarcode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long bindBarcodeId;

    /** 打印时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "打印时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date printTime;

    /** 打印人 */
    @Excel(name = "打印人")
    private String printPerson;

    /** 批次标识(0否，1是) */
    @Excel(name = "批次标识(0否，1是)")
    private String batchFlag;

    /** 条码内容，可用在背板条码 */
    @Excel(name = "条码内容，可用在背板条码")
    private String bindBarcodeInfo;

    /** 条码内容，关联原材料条码信息的barcode_info */
    @Excel(name = "条码内容，关联原材料条码信息的barcode_info")
    private String barcodeInfo;

    /** 重量 */
    @Excel(name = "重量")
    private BigDecimal weight;

    /** 数量 */
    @Excel(name = "数量")
    private BigDecimal amount;

    /** 打印机台名称，打印时获取 */
    @Excel(name = "打印机台名称，打印时获取")
    private String machineName;

    /** 项目号 */
    @Excel(name = "项目号")
    private String projectNo;

    /** 销售订单编号 */
    @Excel(name = "销售订单编号")
    private String saleorderCode;

    /** 生产计划ID，关联mes_pd_product_plan的plan_id */
    @Excel(name = "生产计划ID，关联mes_pd_product_plan的plan_id")
    private Long planId;

    /** 生产计划明细ID，关联mes_product_plan_detail的plan_detail_id */
    @Excel(name = "生产计划明细ID，关联mes_product_plan_detail的plan_detail_id")
    private Long planDetailId;

    /** 流水号 */
    @Excel(name = "流水号")
    private String serialNumber;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private Long activeFlag;

    public void setBindBarcodeId(Long bindBarcodeId) 
    {
        this.bindBarcodeId = bindBarcodeId;
    }

    public Long getBindBarcodeId() 
    {
        return bindBarcodeId;
    }
    public void setPrintTime(Date printTime) 
    {
        this.printTime = printTime;
    }

    public Date getPrintTime() 
    {
        return printTime;
    }
    public void setPrintPerson(String printPerson) 
    {
        this.printPerson = printPerson;
    }

    public String getPrintPerson() 
    {
        return printPerson;
    }
    public void setBatchFlag(String batchFlag) 
    {
        this.batchFlag = batchFlag;
    }

    public String getBatchFlag() 
    {
        return batchFlag;
    }
    public void setBindBarcodeInfo(String bindBarcodeInfo) 
    {
        this.bindBarcodeInfo = bindBarcodeInfo;
    }

    public String getBindBarcodeInfo() 
    {
        return bindBarcodeInfo;
    }
    public void setBarcodeInfo(String barcodeInfo) 
    {
        this.barcodeInfo = barcodeInfo;
    }

    public String getBarcodeInfo() 
    {
        return barcodeInfo;
    }
    public void setWeight(BigDecimal weight) 
    {
        this.weight = weight;
    }

    public BigDecimal getWeight() 
    {
        return weight;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setMachineName(String machineName) 
    {
        this.machineName = machineName;
    }

    public String getMachineName() 
    {
        return machineName;
    }
    public void setProjectNo(String projectNo) 
    {
        this.projectNo = projectNo;
    }

    public String getProjectNo() 
    {
        return projectNo;
    }
    public void setSaleorderCode(String saleorderCode) 
    {
        this.saleorderCode = saleorderCode;
    }

    public String getSaleorderCode() 
    {
        return saleorderCode;
    }
    public void setPlanId(Long planId) 
    {
        this.planId = planId;
    }

    public Long getPlanId() 
    {
        return planId;
    }
    public void setPlanDetailId(Long planDetailId) 
    {
        this.planDetailId = planDetailId;
    }

    public Long getPlanDetailId() 
    {
        return planDetailId;
    }
    public void setSerialNumber(String serialNumber) 
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber() 
    {
        return serialNumber;
    }
    public void setActiveFlag(Long activeFlag) 
    {
        this.activeFlag = activeFlag;
    }

    public Long getActiveFlag() 
    {
        return activeFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bindBarcodeId", getBindBarcodeId())
            .append("printTime", getPrintTime())
            .append("printPerson", getPrintPerson())
            .append("batchFlag", getBatchFlag())
            .append("bindBarcodeInfo", getBindBarcodeInfo())
            .append("barcodeInfo", getBarcodeInfo())
            .append("weight", getWeight())
            .append("amount", getAmount())
            .append("machineName", getMachineName())
            .append("projectNo", getProjectNo())
            .append("saleorderCode", getSaleorderCode())
            .append("planId", getPlanId())
            .append("planDetailId", getPlanDetailId())
            .append("serialNumber", getSerialNumber())
            .append("remark", getRemark())
            .append("activeFlag", getActiveFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
